$(function(){
	
	//去掉尾部的一个div
	$('.index_footer').next().remove();
	
	//初始化应用
	init_apps();

	//初始化容器的最小高度
	init_index_contaner_minHeight();
		
})

//初始化容器的最小高度
function init_index_contaner_minHeight(){
	var conrainer_height = $.jfbrother.getViewSizeWithScrollbar().height-$('.indedx_header').outerHeight(true)-$('.indedx_header_logo').outerHeight(true)-$('.index_center').outerHeight(true)-$('.index_footer').outerHeight(true)-$('.app_container').css('marginTop').substring(0, $('.app_container').css('marginTop').length-2);
	//如果原始的高度比屏幕小时再添加最小高度
	if($('.app_container').outerHeight() < conrainer_height){
		$('.app_container').css('minHeight',conrainer_height);
	}
}	
	
//初始化应用
function init_apps(){
	var app_list = jwAppAppsModel.jwAppsAppsDataAction.list_allApps_by_user().apps.rowSet;
	var app_container = $('.app_container');
	for(var i =0;i<app_list.length;i++){
		var app_createDiv = $('<div></div>');
		var app_content = $('<div></div>').data('app',app_list[i]);
		app_content.bind('click',function(){
			var data = $(this).data('app');
			if(data.IS_POPUP=='1'){
				//弹出框
				$.fancybox.open({href:data.LINK,type: 'iframe',width:$('.app_container').width()-10});
			}	
			else{
				//新页面
				window.open(data.LINK);
			}
		})
		var app_img = $('<img width="150" height="150" />').attr('src',ctx+'/photo/photo.jsp?ls_photo='+app_list[i].IMG_ID_S);
		var app_text= $('<div></div>').text(app_list[i].NAME);
		app_content.append(app_img).append(app_text);
		app_createDiv.append(app_content);	
		app_container.append(app_createDiv);
	}
}